<bugID>1290227<Summary>replace uses of nsIDOMKeyEvent</Summary><Description>De-chrome-ification will require replacing all uses of nsIDOMKeyEvent.
This is used for various DOM_VK_* constants.

This is available to content via KeyEvent.DOM_VK_*, but that seems to
be unportable.

One option might be to expose a "keycode-js" pseudo-module, that just
resolves to KeyEvent; and then use this npm package:
https://www.npmjs.com/package/keycode-js
Though, strangely, that package exposes the constants with different names...
maybe there's some other option.</Description></bugID>